## ros-pcl-conversions 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pcl_conversions)

find_package(catkin REQUIRED COMPONENTS pcl_msgs roscpp sensor_msgs std_msgs cmake_modules)

find_package(PCL REQUIRED QUIET COMPONENTS common)
find_package(Eigen REQUIRED)

include_directories(include ${catkin_INCLUDE_DIRS} ${PCL_COMMON_INCLUDE_DIRS} ${Eigen_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include ${PCL_COMMON_INCLUDE_DIRS}
  CATKIN_DEPENDS pcl_msgs roscpp sensor_msgs std_msgs
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Add gtest based cpp test target
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test test/test_pcl_conversions.cpp)
  target_link_libraries(${PROJECT_NAME}-test ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-pcl-conversions (0.2.1-6build1) focal; urgency=medium

  * Rebuild against new pcl 1.10.0+dfsg.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Feb 2020 06:20:47 +0100

ros-pcl-conversions (0.2.1-6) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Add autopkgtests
  * Add missing Depends on libroscpp-dev

  [ Jochen Sprickerhof ]
  * Use Python 3 during build
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/rules
  * simplify d/watch
  * fix description
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 23:19:52 +0200

ros-pcl-conversions (0.2.1-4) unstable; urgency=medium

  * Add MA hint
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Aug 2018 18:57:08 +0200

ros-pcl-conversions (0.2.1-3) unstable; urgency=medium

  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Make package arch:any due to arch:any dependency
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 19:58:39 +0200

ros-pcl-conversions (0.2.1-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Upload due to new PCL version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2016 14:46:01 +0200

ros-pcl-conversions (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #805334)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 27 Dec 2015 01:12:43 +0000

=== debian/control ===
Source: ros-pcl-conversions
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, libpcl-msgs-dev, libroscpp-dev, libsensor-msgs-dev, ros-cmake-modules, libpcl-dev, libeigen3-dev, python3-empy
Standards-Version: 4.4.1
Section: libdevel
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pcl_conversions
Vcs-Git: https://salsa.debian.org/science-team/ros-pcl-conversions.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-pcl-conversions

Package: libpcl-conversions-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libroscpp-core-dev, libstd-msgs-dev, libpcl-msgs-dev, libsensor-msgs-dev, libstd-msgs-dev, libeigen3-dev, libpcl-dev, libroscpp-dev
Description: Robot OS library to convert from/to PCL data types
 This package is part of Robot OS (ROS). It provides conversions between
 PCL (Point Cloud Library) data types and ROS message types

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --buildsystem=cmake

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation pcl_conversions pcl_conversions/pcl_conversions.h
Restrictions: allow-stderr
Depends: libpcl-conversions-dev, g++, catkin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-pcl-conversions-$1.tar.gz%" \
    https://github.com/ros-perception/pcl_conversions/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
